package com.bcxin.tenant.domain.v5.services;

import com.bcxin.api.interfaces.identities.requests.ChangeBasicIdentityRequest;
import com.bcxin.tenant.domain.v5.services.commands.*;

public interface TUserService {
    void create(SyncUserCommand command);

    void update(SyncUserCommand command);

    void dispatch(UserCredentialCommand command);

    void dispatch(SyncUserRoleCommand command);

    void dispatch(ClearUserRoleCommand command);

    void dispatch(UpdateUserCommand command);


    void changeBasic(ChangeBasicIdentityRequest changeBasicIdentityRequest);

    void dispatch(SyncMemberCommand command);
}
